import { EffectType, world } from "@minecraft/server";
import { afterEvents } from "./Eternal/Constants";
import { test } from "./Eternal/Utils";
afterEvents.entityHitEntity.subscribe((e) => {
  const { hitEntity, damagingEntity } = e;
  if (damagingEntity.typeId == "eternal:chop") {
    const variant = damagingEntity.getVariant();
    if (!variant) {
      hitEntity.addEffect("poison", 200);
    }
  }
});
